Bug 220976 - rundig script always uses -i option to htdig
Summary: rundig script always uses -i option to htdig
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: htdig (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Adam Tkac
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-29 21:10 UTC by Ahmon Dancy
Modified: 2013-04-30 23:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-09 16:47:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ahmon Dancy 2006-12-29 21:10:44 UTC
Description of problem:

/usr/bin/rundig always runs the htdig program with the -i option and does not
provide a way for the user to override this behavior (without modifying the
script).  Always using -i prevents incremental digging from working

Version-Release number of selected component (if applicable):
htdig-3.2.0b6-7.fc6

Suggested resolution:
Remove hard-coded -i from rundig script.  Users who want a full reindex can pass
the -i option to rundig.

Comment 1 Adam Tkac 2007-01-04 09:58:58 UTC
I don't think that remove -i parameter is good idea. Many users use
non-incremental digging (many over users which like incremental digging). What
do you think about this, please?

Comment 2 Ahmon Dancy 2007-01-04 15:36:18 UTC
(In reply to comment #1)
> I don't think that remove -i parameter is good idea. Many users use
> non-incremental digging (many over users which like incremental digging). What
> do you think about this, please?

That's fine.  But in that case, the rundig script need some command line
argument to override the -i behavior (without requiring someone to edit the script).




Comment 3 Ahmon Dancy 2007-01-04 15:37:46 UTC
P.S., I can provide a suggested patch if you're interested.


Comment 4 Adam Tkac 2007-01-04 16:43:20 UTC
(In reply to comment #3)
> P.S., I can provide a suggested patch if you're interested.
> 

Thanks, but patch could be very simple so you don't have to write it. New option
could be "+i". New releases will have improved script.

Comment 5 Ahmon Dancy 2007-01-04 17:32:16 UTC
Beautiful.  Thank you.

Comment 6 Adam Tkac 2007-01-09 16:47:32 UTC
Fixed in rawhide. I added "+i" option

Comment 7 Ahmon Dancy 2007-09-17 23:01:13 UTC
(In reply to comment #6)
> Fixed in rawhide. I added "+i" option

By the way, does this mean that fedora 7 has the change?

Comment 8 Adam Tkac 2007-09-19 12:44:28 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > Fixed in rawhide. I added "+i" option
> 
> By the way, does this mean that fedora 7 has the change?

Yes


Note You need to log in before you can comment on or make changes to this bug.